Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7618 - rpm -Uhv against multi ftp:// fails
Summary: rpm -Uhv against multi ftp:// fails
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-06 04:53 UTC by Christopher Abbey
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 20:38:53 UTC


Attachments (Terms of Use)

Description Christopher Abbey 1999-12-06 04:53:30 UTC
system:
RHL5.2 + errata updates

pre condition:
rpm is version 3.0.2 from rpm-3.0.2-5.x.i386.rpm
neither egcs nor egcs-c++ are installed.

failure log:
[root@tweedle src]# rpm -Uhv
ftp://ftp.cs.wisc.edu/pub/mirrors/linux/redhat/old-releases/redhat-5.2/i386
/RedHat/RPMS/egcs-c++-1.0.3a-14.i386.rpm
ftp://ftp.cs.wisc.edu/pub/mirrors/linux/redhat/old-releases/redhat-5.2/i386
/RedHat/RPMS/egcs-1.0.3a-14.i386.rpm
Retrieving
ftp://ftp.cs.wisc.edu/pub/mirrors/linux/redhat/old-releases/redhat-5.2/i386
/RedHat/RPMS/egcs-c++-1.0.3a-14.i386.rpm
Retrieving
ftp://ftp.cs.wisc.edu/pub/mirrors/linux/redhat/old-releases/redhat-5.2/i386
/RedHat/RPMS/egcs-1.0.3a-14.i386.rpm
egcs                   ##################################################
egcs                   ##################################################
[root@tweedle src]# rpm -q egcs egcs-c++
egcs-1.0.3a-14
package egcs-c++ is not installed


failure only appears to happen when accessing via ftp, perhaps temp file
for egcs-c++ overwritten by temp file for egcs?

Comment 1 Jeff Johnson 1999-12-13 11:52:59 UTC
I tried to reproduce this problem on a local ftp server and failed.

It's not a collision on temp file names. The temp file name is randomly
genereated and the name is stat'ed to prevent collisions. More likely
is some sort of FTP weirdness (but I can't hazard a guess).

Try repeating the same commands with -vv, that will permit identifying (at
least) the temp file name for the locally cached package. You might also
wish to try a different host and/or rpm-3.0.3 from ftp.rpm.org. There's
also rpm-3.0.4 from rawhide (that's almost stable now).

Comment 2 Jeff Johnson 2000-01-04 20:38:59 UTC
This problem appears to be resolved. Please reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.